package io.swagger.api;

import io.swagger.model.InlineResponse200;
import io.swagger.model.InlineResponse2001;
import io.swagger.model._;

import javax.ws.rs.*;
import javax.ws.rs.core.Response;

import io.swagger.annotations.*;

import java.util.List;

@Path("/billing")

@Api(description = "the billing API")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJAXRSSpecServerCodegen", date = "2016-11-03T11:50:41.994+04:00")

public class BillingApi  {

    @GET
    @Path("/debt")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Информация по дебету аккаунта", notes = "Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения", response = InlineResponse200.class, responseContainer = "List", tags={ "Аккаунт - биллинг, свойства и статус",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Информация по дебету аккаунта", response = InlineResponse200.class, responseContainer = "List"),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse200.class, responseContainer = "List") })
    public Response billingDebtGet(@QueryParam("_token_") String token_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/info")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Информация об аккаунте", notes = "Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.", response = InlineResponse2001.class, responseContainer = "List", tags={ "Аккаунт - биллинг, свойства и статус",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Информация об аккаунте", response = InlineResponse2001.class, responseContainer = "List"),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse2001.class, responseContainer = "List") })
    public Response billingInfoGet(@QueryParam("_token_") String token_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/limits")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Получить ограничения аккаунта", notes = "", response = _.class, tags={ "Аккаунт - биллинг, свойства и статус" })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Ограничения аккаунта", response = _.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = _.class) })
    public Response billingLimitsGet(@QueryParam("_token_") String token_) {
    	return Response.ok().entity("magic!").build();
    }
}

