package io.swagger.api;

import io.swagger.model.InlineResponse2002;

import javax.ws.rs.*;
import javax.ws.rs.core.Response;

import io.swagger.annotations.*;

import java.util.List;

@Path("/database")

@Api(description = "the database API")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJAXRSSpecServerCodegen", date = "2016-11-03T11:50:41.994+04:00")

public class DatabaseApi  {

    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Список аккаунтов в базах данных UNIX", notes = "Возвращает список зарегистрированных аккаунтов в базах данных MySQL и Postgres. Для вычисления имени домена необходимо объединить имя базы данных,   идентификатор сервера и суффикс (поле url_suffix). Например, если ID сервера равен 123 (значит это MySQL — см. описание поля 'server' в ответе), а суффикс равен '1gb.ru', то домен   для доступа будет равен 'mysql123.1gb.ru'.", response = InlineResponse2002.class, responseContainer = "List", tags={ "Базы данных - MySQL / Postgres" })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Список аккаунтов", response = InlineResponse2002.class, responseContainer = "List"),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse2002.class, responseContainer = "List") })
    public Response databaseListGet(@QueryParam("_token_") String token_) {
    	return Response.ok().entity("magic!").build();
    }
}

