package io.swagger.api;

import io.swagger.model.InlineResponse20014;

import javax.ws.rs.*;
import javax.ws.rs.core.Response;

import io.swagger.annotations.*;

import java.util.List;

@Path("/website")

@Api(description = "the website API")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJAXRSSpecServerCodegen", date = "2016-11-03T11:50:41.994+04:00")

public class WebsiteApi  {

    @GET
    @Path("/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Удаление сайта", notes = "", response = String.class, tags={ "Веб-сайты - список, свойства, статусы",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Возврат строки 'OK' означает успех операции", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response websiteDeleteGet(@QueryParam("_token_") String token_,@QueryParam("_key_") String key_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Список сайтов аккаунта", notes = "", response = InlineResponse20014.class, responseContainer = "List", tags={ "Веб-сайты - список, свойства, статусы" })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Список сайтов аккаунта", response = InlineResponse20014.class, responseContainer = "List"),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse20014.class, responseContainer = "List") })
    public Response websiteListGet(@QueryParam("_token_") String token_) {
    	return Response.ok().entity("magic!").build();
    }
}

