package io.swagger.api;

import io.swagger.model.InlineResponse2005;
import io.swagger.model.InlineResponse2006;

import javax.ws.rs.*;
import javax.ws.rs.core.Response;

import io.swagger.annotations.*;

import java.util.List;

@Path("/email")

@Api(description = "the email API")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJAXRSSpecServerCodegen", date = "2016-11-03T11:50:41.994+04:00")

public class EmailApi  {

    @GET
    @Path("/add")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Создание почтового ящика", notes = "", response = String.class, tags={ "Электронная почта - почтовые ящики",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Возврат строки 'OK' означает успех операции", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response emailAddGet(@QueryParam("_token_") String token_,@QueryParam("add_email") String addEmail) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/alias/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Удаление псевдонимов почтовых ящиков", notes = "", response = String.class, tags={ "Электронная почта - почтовые ящики",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Возврат строки 'OK' означает успех операции", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response emailAliasDeleteGet(@QueryParam("_token_") String token_,@QueryParam("_key_") String key_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/alias/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Получить список псевдонимов почтовых ящиков", notes = "", response = InlineResponse2005.class, responseContainer = "List", tags={ "Электронная почта - почтовые ящики",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Список псевдонимов почтовых ящиков", response = InlineResponse2005.class, responseContainer = "List"),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse2005.class, responseContainer = "List") })
    public Response emailAliasListGet(@QueryParam("_token_") String token_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Удаление почтового ящика", notes = "", response = String.class, tags={ "Электронная почта - почтовые ящики",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Возврат строки 'OK' означает успех операции", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response emailDeleteGet(@QueryParam("_token_") String token_,@QueryParam("_key_") String key_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Получить список почтовых ящиков", notes = "", response = InlineResponse2006.class, responseContainer = "List", tags={ "Электронная почта - почтовые ящики" })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Список почтовых ящиков", response = InlineResponse2006.class, responseContainer = "List"),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse2006.class, responseContainer = "List") })
    public Response emailListGet(@QueryParam("_token_") String token_) {
    	return Response.ok().entity("magic!").build();
    }
}

