package io.swagger.api;

import io.swagger.model.InlineResponse20010;

import javax.ws.rs.*;
import javax.ws.rs.core.Response;

import io.swagger.annotations.*;

import java.util.List;

@Path("/updates")

@Api(description = "the updates API")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJAXRSSpecServerCodegen", date = "2016-11-03T11:50:41.994+04:00")

public class UpdatesApi  {

    @GET
    @Path("/last")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Идентификатор последнего уведомления в аудите", notes = "", response = Integer.class, tags={ "Аккаунт - аудит аккаунта (события)",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Идентификатор последнего уведомления в аудите", response = Integer.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = Integer.class) })
    public Response updatesLastGet(@QueryParam("_token_") String token_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Список записей аудита", notes = "", response = InlineResponse20010.class, responseContainer = "List", tags={ "Аккаунт - аудит аккаунта (события)" })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Список записей аудита", response = InlineResponse20010.class, responseContainer = "List"),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse20010.class, responseContainer = "List") })
    public Response updatesListGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_) {
    	return Response.ok().entity("magic!").build();
    }
}

