package io.swagger.model;




import io.swagger.annotations.*;
import java.util.Objects;


public class InlineResponse20011   {
  
  private String ip = null;
  private Integer vdsId = null;

  /**
   * IP-адрес
   **/
  public InlineResponse20011 ip(String ip) {
    this.ip = ip;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "IP-адрес")
  public String getIp() {
    return ip;
  }
  public void setIp(String ip) {
    this.ip = ip;
  }

  /**
   * идентификатор VDS
   **/
  public InlineResponse20011 vdsId(Integer vdsId) {
    this.vdsId = vdsId;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "идентификатор VDS")
  public Integer getVdsId() {
    return vdsId;
  }
  public void setVdsId(Integer vdsId) {
    this.vdsId = vdsId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse20011 inlineResponse20011 = (InlineResponse20011) o;
    return Objects.equals(ip, inlineResponse20011.ip) &&
        Objects.equals(vdsId, inlineResponse20011.vdsId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ip, vdsId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse20011 {\n");
    
    sb.append("    ip: ").append(toIndentedString(ip)).append("\n");
    sb.append("    vdsId: ").append(toIndentedString(vdsId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
