package io.swagger.model;




import io.swagger.annotations.*;
import java.util.Objects;


public class InlineResponse2002   {
  
  private Integer id = null;
  private String name = null;
  private String server = null;
  private String pwd = null;
  private String urlSuffix = null;

  /**
   * идентификатор аккаунта
   **/
  public InlineResponse2002 id(Integer id) {
    this.id = id;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "идентификатор аккаунта")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * логин
   **/
  public InlineResponse2002 name(String name) {
    this.name = name;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "логин")
  public String getName() {
    return name;
  }
  public void setName(String name) {
    this.name = name;
  }

  /**
   * идентификатор сервера. Если равен или больше 10000, то это Postgres. Иначе MySQL
   **/
  public InlineResponse2002 server(String server) {
    this.server = server;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "идентификатор сервера. Если равен или больше 10000, то это Postgres. Иначе MySQL")
  public String getServer() {
    return server;
  }
  public void setServer(String server) {
    this.server = server;
  }

  /**
   * пароль
   **/
  public InlineResponse2002 pwd(String pwd) {
    this.pwd = pwd;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "пароль")
  public String getPwd() {
    return pwd;
  }
  public void setPwd(String pwd) {
    this.pwd = pwd;
  }

  /**
   * суффикс домена сервера
   **/
  public InlineResponse2002 urlSuffix(String urlSuffix) {
    this.urlSuffix = urlSuffix;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "суффикс домена сервера")
  public String getUrlSuffix() {
    return urlSuffix;
  }
  public void setUrlSuffix(String urlSuffix) {
    this.urlSuffix = urlSuffix;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2002 inlineResponse2002 = (InlineResponse2002) o;
    return Objects.equals(id, inlineResponse2002.id) &&
        Objects.equals(name, inlineResponse2002.name) &&
        Objects.equals(server, inlineResponse2002.server) &&
        Objects.equals(pwd, inlineResponse2002.pwd) &&
        Objects.equals(urlSuffix, inlineResponse2002.urlSuffix);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name, server, pwd, urlSuffix);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2002 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    server: ").append(toIndentedString(server)).append("\n");
    sb.append("    pwd: ").append(toIndentedString(pwd)).append("\n");
    sb.append("    urlSuffix: ").append(toIndentedString(urlSuffix)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
