package io.swagger.model;




import io.swagger.annotations.*;
import java.util.Objects;


public class InlineResponse2005   {
  
  private Integer id = null;
  private String mail = null;
  private String alias = null;

  /**
   * идентификатор псевдонима
   **/
  public InlineResponse2005 id(Integer id) {
    this.id = id;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "идентификатор псевдонима")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * почтовый ящик псевдонима
   **/
  public InlineResponse2005 mail(String mail) {
    this.mail = mail;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "почтовый ящик псевдонима")
  public String getMail() {
    return mail;
  }
  public void setMail(String mail) {
    this.mail = mail;
  }

  /**
   * имя псевдонима
   **/
  public InlineResponse2005 alias(String alias) {
    this.alias = alias;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "имя псевдонима")
  public String getAlias() {
    return alias;
  }
  public void setAlias(String alias) {
    this.alias = alias;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2005 inlineResponse2005 = (InlineResponse2005) o;
    return Objects.equals(id, inlineResponse2005.id) &&
        Objects.equals(mail, inlineResponse2005.mail) &&
        Objects.equals(alias, inlineResponse2005.alias);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, mail, alias);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2005 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    mail: ").append(toIndentedString(mail)).append("\n");
    sb.append("    alias: ").append(toIndentedString(alias)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
