package io.swagger.model;




import io.swagger.annotations.*;
import java.util.Objects;


public class InlineResponse2008   {
  
  private Integer id = null;
  private Boolean online = null;
  private Integer ftpId = null;
  private Integer dnsId = null;
  private Integer sizeAmount = null;
  private Integer sizeFileCount = null;
  private Integer sizeFileCountLimit = null;

  /**
   * идентификатор сайта
   **/
  public InlineResponse2008 id(Integer id) {
    this.id = id;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "идентификатор сайта")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * сайт работает нормально если true
   **/
  public InlineResponse2008 online(Boolean online) {
    this.online = online;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "сайт работает нормально если true")
  public Boolean getOnline() {
    return online;
  }
  public void setOnline(Boolean online) {
    this.online = online;
  }

  /**
   * идентификатор связанного аккаунта FTP
   **/
  public InlineResponse2008 ftpId(Integer ftpId) {
    this.ftpId = ftpId;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "идентификатор связанного аккаунта FTP")
  public Integer getFtpId() {
    return ftpId;
  }
  public void setFtpId(Integer ftpId) {
    this.ftpId = ftpId;
  }

  /**
   * идентификатор связанной записи DNS
   **/
  public InlineResponse2008 dnsId(Integer dnsId) {
    this.dnsId = dnsId;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "идентификатор связанной записи DNS")
  public Integer getDnsId() {
    return dnsId;
  }
  public void setDnsId(Integer dnsId) {
    this.dnsId = dnsId;
  }

  /**
   * размер занятого места
   **/
  public InlineResponse2008 sizeAmount(Integer sizeAmount) {
    this.sizeAmount = sizeAmount;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "размер занятого места")
  public Integer getSizeAmount() {
    return sizeAmount;
  }
  public void setSizeAmount(Integer sizeAmount) {
    this.sizeAmount = sizeAmount;
  }

  /**
   * количество файлов
   **/
  public InlineResponse2008 sizeFileCount(Integer sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "количество файлов")
  public Integer getSizeFileCount() {
    return sizeFileCount;
  }
  public void setSizeFileCount(Integer sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
  }

  /**
   * ограничение на количество файлов
   **/
  public InlineResponse2008 sizeFileCountLimit(Integer sizeFileCountLimit) {
    this.sizeFileCountLimit = sizeFileCountLimit;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "ограничение на количество файлов")
  public Integer getSizeFileCountLimit() {
    return sizeFileCountLimit;
  }
  public void setSizeFileCountLimit(Integer sizeFileCountLimit) {
    this.sizeFileCountLimit = sizeFileCountLimit;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2008 inlineResponse2008 = (InlineResponse2008) o;
    return Objects.equals(id, inlineResponse2008.id) &&
        Objects.equals(online, inlineResponse2008.online) &&
        Objects.equals(ftpId, inlineResponse2008.ftpId) &&
        Objects.equals(dnsId, inlineResponse2008.dnsId) &&
        Objects.equals(sizeAmount, inlineResponse2008.sizeAmount) &&
        Objects.equals(sizeFileCount, inlineResponse2008.sizeFileCount) &&
        Objects.equals(sizeFileCountLimit, inlineResponse2008.sizeFileCountLimit);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, online, ftpId, dnsId, sizeAmount, sizeFileCount, sizeFileCountLimit);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2008 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    ftpId: ").append(toIndentedString(ftpId)).append("\n");
    sb.append("    dnsId: ").append(toIndentedString(dnsId)).append("\n");
    sb.append("    sizeAmount: ").append(toIndentedString(sizeAmount)).append("\n");
    sb.append("    sizeFileCount: ").append(toIndentedString(sizeFileCount)).append("\n");
    sb.append("    sizeFileCountLimit: ").append(toIndentedString(sizeFileCountLimit)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
